# Uses of Class
io.dapr.client.domain.query.Query

Packages that use Query
Package
Description
io.dapr.client
io.dapr.client.domain
io.dapr.client.domain.query

## Uses of Query in io.dapr.client

Methods in io.dapr.client with parameters of type Query
Modifier and Type
Method
Description
`<T> reactor.core.publisher.Mono<QueryStateResponse<T>>`
DaprPreviewClient.`queryState(String storeName, Query query, TypeRef<T> type)`
Query for states using a query domain object.
`<T> reactor.core.publisher.Mono<QueryStateResponse<T>>`
DaprPreviewClient.`queryState(String storeName, Query query, Class<T> clazz)`
Query for states using a query domain object.
`<T> reactor.core.publisher.Mono<QueryStateResponse<T>>`
DaprPreviewClient.`queryState(String storeName, Query query, Map<String,String> metadata, TypeRef<T> type)`
Query for states using a query domain object.
`<T> reactor.core.publisher.Mono<QueryStateResponse<T>>`
DaprPreviewClient.`queryState(String storeName, Query query, Map<String,String> metadata, Class<T> clazz)`
Query for states using a query domain object.

## Uses of Query in io.dapr.client.domain

Methods in io.dapr.client.domain that return Query
Modifier and Type
Method
Description
`Query`
QueryStateRequest.`getQuery()`
Methods in io.dapr.client.domain with parameters of type Query
Modifier and Type
Method
Description
`QueryStateRequest`
QueryStateRequest.`setQuery(Query query)`
Validate and set the query field.

## Uses of Query in io.dapr.client.domain.query

Methods in io.dapr.client.domain.query that return Query
Modifier and Type
Method
Description
`Query`
Query.`setFilter(Filter<?> filter)`
Set the filter field in the instance.
`Query`
Query.`setPagination(Pagination pagination)`
`Query`
Query.`setSort(List<Sorting> sort)`
Validate and set sorting field.